%global momorel 2

Summary: DVD backup tool
Name: dvdbackup
Version: 0.30
License: GPL
Release: %{momorel}m
Group:  Applications/System
Source0: http://download.berlios.de/lxdvdrip/%{name}-%{version}.tgz
Patch0: dvdbackup-fix_div_by_zero.patch
URL: http://dvd-create.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libdvdread-devel >= 0.9.6

%description
dvdbackup is a program that enables you to mirror your DVD-Video to
harddisk. The mirror can then be turned into a DVD-Video image with
help of mkisofs. The image can be burned to a DVD-/+R(W) disk and
played in your stand alone DVD-Video player. Dvdbackup is not just a
backup program but can also give you information about the DVD, or e.g
enable you to just backup the main feature of the DVD.

%prep
%setup -q -n %{name}

%patch0 -p1 -b .fix_div_by_zero

%build
gcc %{optflags} -g -D_LARGEFILE_SOURCE -DLARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 \
      -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_REENTRANT -o dvdbackup -Wall \
      -I%{_includedir}/dvdread -L%{_libdir} -ldvdread dvdbackup.c

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}%{_bindir}
%{__install} -m 755 dvdbackup %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root,root)
%doc COPYING README
%{_bindir}/dvdbackup

%changelog
* Sun May 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.30-2m)
- No NoSource

* Sat May 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.30-1m)
- version 0.30

* Wed Oct  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-5m)
- dynamic link again

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.1.1-4m)
- enable x86_64.

* Tue Jan 11 2005 Toru Hoshina <t@momonga-linux.org>
- (0.1.1-3m)
- when attempt to link libdvdread.so, unexplainable errer occurred.
- force static link.

* Sun Nov  9 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.1-2m)
- Nosource.

* Sun Nov  9 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.1-1m)
- Initial specfile.
